// JavaScript Document

$(function(){

    window.sr = ScrollReveal({mobile:false, scale:1, duration:800, easing:'linear'});

    if (sr.isSupported()) {

        document.documentElement.classList.add('sr');

        sr.reveal('.bannerArea', {
            distance: '10px',
            origin: 'bottom',
            delay: 1000
        });

        sr.reveal('.bannerArea .wrap .bannerContent', {
            distance: '60px',
            origin: 'top',
            delay: 1400
        });

        sr.reveal('.newsArea .topBox', {
            distance: '30px',
            origin: 'bottom'
        });

        sr.reveal('#newsAreaLink .Img', {
            viewFactor: 0.2,
            distance: '0px',
            origin: 'bottom',
            beforeReveal: function() {
                $('#newsAreaLink .Img').addClass('slideBar')
                $('#newsAreaLink .Img img').addClass('show')
            }
        });

        sr.reveal('.roomArea', {
            distance: '30px',
            origin: 'bottom'
        });

        sr.reveal('.aboutArea', {
            distance: '30px',
            origin: 'bottom'
        });

        sr.reveal('.mapArea .topBox', {
            distance: '30px',
            origin: 'bottom'
        });

        sr.reveal('.mapArea', {
            distance: '30px',
            origin: 'bottom'
        });

        sr.reveal('footer', {
            distance: '30px',
            origin: 'bottom'
        });

    }

});